<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Zonas/ciudad.php"); 
encabezado2($target); 
$id=$_GET['id_ciudad'];
$nombre=$_GET['nombre'];
$depto=$_GET['depto'];
$zona=$_GET['zona'];
$pagina='ACTUALIZAR CIUDADES';
if($tipo==2 && !isset($Ejecutar)){
$read="readonly='readonly'";
$pagina='ELIMINAR CIUDADES';
}
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25">
</td>
</tr>
<?
class zona_nacional{
	var $userObj;
	//var $conexionObj2;
		function get_zonas($zona){
		$this->userObj=new select_zonas();
		$this->userObj->zonas_nacionales($zona);
	    }
		function get_dep($depto){
			$this->conexionObj2=new conexion();
			$this->conexionObj2->conectarse();
			$rst_zonas=$this->conexionObj2->consultar("SELECT cod_depto, nombre FROM departamentos");
			echo "<select name='depto' class='inputbox'><option value='0'>Sin Departamento</option>";
			while($row_depto=mysql_fetch_array($rst_zonas)){ ?>
				<option value="<?=$row_depto['cod_depto']?>" <? if($depto==$row_depto['cod_depto']){ echo 'selected'; }?>><?=$row_depto['nombre']?></option>
				<?
			}
			echo "</select>";
		}
}
$zona_nacionalObj=new zona_nacional();
//$zona_nacionalObj->get_zonas($zona);

//?>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Departamento:</td>
<td width="150" valign=top height="42" class="miTable_td">
<?php $zona_nacionalObj->get_dep($depto); ?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){
  //echo "Asignar menu";
  
class ejecutaZonan{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$nombre,$cod_zona,$depto){
	  		 //$id_user=$_GET['id_user'];
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new ciudades();
	  		 $this->consultarObj->setCod_ciudad($id);
			 $this->consultarObj->setNombre($nombre);
			 $this->consultarObj->setId_depto($depto);
			 $this->consultarObj->setCod_zona($cod_zona);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM ciudades WHERE id_ciudad='".$this->consultarObj->getCod_ciudad()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id_ciudad=$this->consultarObj->getCod_ciudad();
				$nombre=$this->consultarObj->getNombre();
				$depto=$this->consultarObj->getId_depto();
				$cod_zona=$this->consultarObj->getCod_zona($cod_zona);
				$this->modificarCiudad($id_ciudad,$nombre,$depto,$cod_zona);
			}else{
				$msgBOX2 = "No Se Encontro Ciudad.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarCiudad($id_ciudad,$nombre,$depto,$cod_zona){
//echo "UPDATE ciudades SET nombre = '".$nombre."', id_depto = '".$depto."', id_zona_nacional = '".$cod_zona."' WHERE id_ciudad = ".$id_ciudad."";
		$rst_modificar=$this->conexionObj->consultar("UPDATE ciudades SET nombre = '".$nombre."', id_depto = '".$depto."' WHERE id_ciudad = ".$id_ciudad."");
		$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Ciudad.";
				echo "<script>
					  opener.document.location.reload();
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Ciudad.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaZonanObj=new ejecutaZonan();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaZonanObj->setConsultar($_POST['id'],$_POST['nombre'],$_POST['zona'],$_POST['depto']);

// LAMANDO EL METODO DE NEGOCIO
$ejecutaZonanObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){
  //echo "Quitar menu";
class quitarCiudad{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id_ciudad){
	  		 $this->consultarObj=new ciudades();
	  		 $this->consultarObj->setCod_ciudad($id_ciudad);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM ciudades WHERE id_ciudad='".$this->consultarObj->getCod_ciudad()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id_ciudad=$this->consultarObj->getCod_ciudad();
				$this->eliminarCiudad($id_ciudad);
			}else{
				//$row_validar=mysql_fetch_array($rst_validar);
				$msgBOX2 = "No Se Encontro Ciudad.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarCiudad($id_ciudad){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM ciudades WHERE id_ciudad = ".$id_ciudad."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Ciudad.";
				echo "<script>
			    	  opener.document.location.reload();
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Ciudad.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarCiudadObj=new quitarCiudad();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarCiudadObj->setConsultar($_POST['id']);

// LAMANDO EL METODO DE NEGOCIO
$quitarCiudadObj->validar();
  
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</body>";
   echo"</html>";
?>